1 Reply Latest reply on Feb 25, 2014 7:37 AM by Martin Höller

    Which RichFaces version to use with JEE7 and Wildfly 8

    Martin Höller Newbie

      Hi all!

       

      We are in the process of migrating a JEE5 web-application that used RichFaces 3.3 to Wildfly/JEE7. I'm currently evaluating which RichFaces versions we could use in this environment. Unfortunately information about this topic seems to be very rare.

       

      So the questions I have are:

      1. With Java EE 7 JSF is updated to 2.2. RichFaces 4.3 seems to not be fully compatible with JSF 2.2. Should we expect serious problems? Will the 4.3 line get more updates to fix these problems?
      2. RichFaces 5 is currently available as 5.0.0.Alpha3 that should support JSF 2.2. What is the state of RF5? Could be use it in production?
      3. There seems to be a RichFaces 4.5 version that ports RF4 components to RF5 core (whatever that means in detail). What about this?

       

      Many thanks for your answers,

      - martin